=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Zxz
